<?xml version="1.0" encoding="UTF-8"?>
<org.eclipse.epf.uma:ContentDescription xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:org.eclipse.epf.uma="http://www.eclipse.org/epf/uma/1.0.6/uma.ecore" xmlns:epf="http://www.eclipse.org/epf" epf:version="1.5.1" xmlns:rmc="http://www.ibm.com/rmc" rmc:version="7.5.1" xmi:id="-D_1CtvwEspB77YFVZNhhSg" name="new_supporting_material,_NaTAkDuQEdq8huDNMeYSYQ" guid="-D_1CtvwEspB77YFVZNhhSg" changeDate="2006-01-18T22:22:56.847-0800" version="7.1.0">
  <mainDescription>&lt;a id=&quot;Top&quot; name=&quot;Top&quot;>&lt;/a>&lt;a id=&quot;XE_rup__whats_new&quot; name=&quot;XE_rup__whats_new&quot;>&lt;/a>&lt;a id=&quot;XE_whats_new__in_rup&quot;&#xD;
name=&quot;XE_whats_new__in_rup&quot;>&lt;/a> &#xD;
&lt;p>&#xD;
    The new features and changes in the Rational Unified Process&amp;reg; (RUP&amp;reg;) are described below.&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#7.0.1&quot;>From the Rational Unified Process&amp;nbsp;7.0 to 7.0.1&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#7.0&quot;>From the Rational Unified Process 2003.06.15 to 7.0&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2003.06.00SR3&quot;>From the Rational Unified Process 2003.06.01 to 2003.06.15&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2003.06.00SR1&quot;>From the Rational Unified Process 2003.06.00 to 2003.06.01&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2003.06.00&quot;>From the Rational Unified Process 2002.05.00 to 2003.06.00&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2002.05.00&quot;>From the Rational Unified Process 2001A.04.00 to 2002.05.00&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2001A.04.00&quot;>From the Rational Unified Process 2001.03.00 to 2001A.04.00&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2000.03.00&quot;>From the Rational Unified Process 2000 to 2001.03.00&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#2000&quot;>From the Rational Unified Process 5.5 to 2000&lt;/a>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;a href=&quot;#5.5&quot;>From the Rational Unified Process 5.1.1 to 5.5&lt;/a>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h3>&#xD;
    &lt;a id=&quot;7.0.1&quot; name=&quot;7.0.1&quot;>From the Rational Unified Process 7.0 to 7.0.1&lt;/a>&#xD;
&lt;/h3>&#xD;
&lt;p>&#xD;
    This release includes several editorial updates and other minor corrections.&#xD;
&lt;/p>&#xD;
&lt;h3>&#xD;
    &lt;a id=&quot;7.0&quot; name=&quot;7.0&quot;>From the Rational Unified Process 2003.06.15 to 7.0&lt;/a>&#xD;
&lt;/h3>&#xD;
&lt;p>&#xD;
    This major release includes the following changes:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        Terminology changes and concepts from the Unified Method Architecture as proposed for the OMG standard Software&#xD;
        Process Engineering Metamodel (SPEM) version 2.0.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Separation of UMA concepts &amp;nbsp;introduction into a base plugin for RUP called Base Concepts.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Major update of Best Practices. These practices have been recast&amp;nbsp;into Key Principles for Business-Driven&#xD;
        Development.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New delivery processes.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New look and feel for RUP pages and tree browser.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated environment discipline to be consistent with the new tooling.&amp;nbsp; Development case content moved to its&#xD;
        own method package.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Addition of new task,&amp;nbsp;Develop Supplementary Specifications.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New content for constructing systems of system, including use-case flowdown, operation analysis, and operation&#xD;
        design.&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2003.06.00SR3&quot; name=&quot;2003.06.00SR3&quot;>From the Rational Unified Process 2003.06.01 to 2003.06.15&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    This service release includes the following changes:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        Significantly increased compliance with accessibility standards&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updates to reflect UML 2.0 notation and terminology&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Collaboration Diagram was renamed Communication Diagram&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Implement Dependency was renamed Manifest Dependency&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Component diagrams were updated with new component shape&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Added Concept: Structured Class&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Added comments about and example of sequence diagram new capabilities&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Added comments about and examples of activity diagram new capabilities&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Design Subsystems are now represented as components&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2003.06.00SR1&quot; name=&quot;2003.06.00SR1&quot;>From the Rational Unified Process 2003.06.00 to 2003.06.01&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    This is a service release including mostly minor changes. These include:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        Mandatory inputs have been defined for business modeling activities, and updated for other activities&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Activity &quot;Deploy the Product&quot; has been removed&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated ClearCase and ClearQuest tool mentors&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New model structuring guidelines for Rational XDE Developer .NET Edition&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New guideline for cost estimation using the Wide-Band Delphi technique&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated formatting of artifact and activity pages&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2003.06.00&quot; name=&quot;2003.06.00&quot;>From the Rational Unified Process 2002.05.00 to 2003.06.00&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;h4>&#xD;
    General Changes&#xD;
&lt;/h4>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        &lt;b>Improved User-Configuration of the Process with RUP Builder&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The process has been refactored across all disciplines to create more than 60 selectable components, with&#xD;
                improved ability to mix and match both plug-ins and components.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Small, medium, and large project configuration templates provide a starting point for process&#xD;
                configuration.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Formal and Informal Resources plug-ins allows flexibility in &quot;level of ceremony&quot;.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Contextual views into RUP are provided, such as the &quot;developer&quot; role view, and &quot;getting started&quot; view.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Improved generation of graphics and tables that reflect the selected process configuration.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Personal Process View or My RUP Personalization&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Each RUP user can create his/her own personalized view into RUP.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Users can add links to external and internal resources.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Tool Integration&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                New and Updated Tool Mentors: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        New tool mentors for Rational XDE, RUP Builder, and Rational Process Workbench.&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        New tool mentors for using the RUP Web site, including searching, extended help and navigation.&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Extended Help launches a view in RUP.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Search engine provides seamless search across RUP and RDN, and other new options.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Content&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Guidelines, concepts, white papers, and checklists can now be attached to any process element, and so are&#xD;
                now associated to the process elements where they are most relevant. The separate concept of a &quot;Work&#xD;
                Guideline&quot; is gone.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Look and Feel&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The Web site's navigation and layout has been upgraded to align with other Rational Web products.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h4>&#xD;
    Specific Changes and Additions to Content&#xD;
&lt;/h4>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        &lt;b>Overview&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                &lt;a id=&quot;XE_getting_started__disabling_the_process_view&quot;&#xD;
                name=&quot;XE_getting_started__disabling_the_process_view&quot;>&lt;/a>&lt;a&#xD;
                id=&quot;XE_disabling_the_getting_started_process_view&quot;&#xD;
                name=&quot;XE_disabling_the_getting_started_process_view&quot;>&lt;/a>New &quot;Getting Started&quot; page provides answers to&#xD;
                commonly asked questions for those new to RUP, and is presented along with relevant content as part of a&#xD;
                specific process view in the tree browser.&lt;br />&#xD;
                 &lt;b>Note&lt;/b>: The &quot;Getting Started&quot; view can be disabled by either a) for the entire project team,&#xD;
                republishing the RUP Web site from RUP Builder and excluding the &quot;Getting Started&quot; process view or b) for&#xD;
                the individual practitioner, using the &quot;Tree Sets&quot; feature of the tree browser to display a single process&#xD;
                view of your choice.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>RUP Lifecycle&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Example Iteration Workflows provide a phase-based and time-based view into the process.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Disciplines&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Concepts pages are no longer all grouped under each discipline, but are now attached to the most relevant&#xD;
                process element. Only those concepts and guidelines needed to understand the discipline as a whole are&#xD;
                directly attached to the discipline.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                All technical reviewer roles, such as Business Model reviewer and Design Reviewer, have been replaced by a&#xD;
                single Technical Reviewer role, which now performs all technical review activities across the disciplines.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Business Modeling Discipline&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                New support for modeling business rules, goals, and events.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Business Object Model has been renamed to Business Analysis Model.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Requirements Discipline&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                A generic &quot;Software Requirement&quot; has been added in support of more flexible process configuration by the&#xD;
                project team.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The guidance on storyboarding has been generalized by removing the dependency on use cases.&lt;br />&#xD;
                 (See Artifact: Storyboard).&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                User Interface Design has been moved to the Analysis and Design Discipline.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: User-Experience Storyboard has been added to the separate User Experience Plug-In to address&#xD;
                user-experience design concerns.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Analysis and Design Discipline&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Data Modeling content has been upgraded to cover conceptual, logical, and physical database modeling.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                User Interface Design content has been moved from the Requirements Discipline and upgraded to reflect&#xD;
                industry practices, including the new artifact Navigation Map.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Implementation Discipline&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Artifact: Component has been replaced with Artifact: Implementation Element.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Improved guidance on component-based development and round-trip engineering.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New guidance on developer testing, debugging, and analysis of run-time behavior.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Test Discipline&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Separate templates for Master and Iteration Test Plans.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Test Strategy artifact.&lt;br />&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Environment Discipline&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Guidance on defining the organizational process environment has been broken out into a separate process&#xD;
                packaged with RPW , leaving the RUP to focus on Project Environment only.&lt;br />&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Improved guidance for implementing a process for a project, supported by the RUP tooling for customization&#xD;
                and configuration of process.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Artifact : Development Process and Activity: Tailor the process for the project, to describe the&#xD;
                project-specific process.&lt;br />&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                All &quot;Guidelines&quot; type artifacts, such as &quot;Design Guidelines&quot; and &quot;Business Modeling Guidelines&quot;, have been&#xD;
                replaced by a single more generic artifact, &quot;Project-Specific Guidelines&quot;.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Project Management Discipline&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                New Reviewer and Review Coordinator roles were added to better describe the review process.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2002.05.00&quot; name=&quot;2002.05.00&quot;>From the Rational Unified Process 2001A.04.00 to 2002.05.00&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    Release 2002.05.00 is the successor to release 2001A.04.00. It adds or changes content in the following topic areas:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        &lt;b>All RUP process variants are no longer installable from the Rational Suite installer.&lt;/b> They can now be&#xD;
        installed using RUP Builder, shipped with this release of RUP.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>RUP Builder has been added:&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Real-time specific content is componentized into its own plug-in, separately installable.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Microsoft variant is componentized into its own plug-in, separately installable.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The IBM variant is componentized into its own plug-in, separately installable.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Restructure and Extension of Test Discipline&lt;/b>:&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Changes &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Complete restructure of the Test Discipline Workflow and associated Workflow Details&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Removed Existing Workflow Details and replaced with Iteration Goal focused work elements.&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Rename and refactoring of existing Activities&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Restructure of existing Test roles&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Tester role now responsible for Test Implementation and Execution&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Overloaded Test Designer role activities and artifacts distributed to other roles&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Recast the following Activities &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Plan Test-now multiple activities across Role&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Design Test-now multiple activities across Role&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Execute Test-replaced by Execute Test Suite&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Evaluate Test-now multiple activities across Role&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Additions &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Introduced the following Roles &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Test Manager&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Analyst&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Introduced the following Workflow Details &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Define Evaluation Mission&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Verify Test Approach&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test and Evaluate&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Achieve Acceptable Mission&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Improve Test Assets&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Introduced the following Activities &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Agree Mission&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Identify Test Motivators&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Obtain Testability Commitment&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Assess and Advocate Quality&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Assess and Improve Test Effort&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Identify Targets of Test&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Identify Test Ideas&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Define Test Details&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Define Assessment and Traceability Needs&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Determine Test Results&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Define Test Approach&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Define Test Environment Configurations&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Identify Testability Mechanisms&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Define Testability Elements&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Implement Test Suite&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Execute Test Suite&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Analyze Execution Failure&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Introduced the following Artifacts &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Test Automation Architecture&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Data&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Environment Configuration&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test-Ideas List&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Interface Specification&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Suite&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Log&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Introduced improved Developer Testing Guidance &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Test-First Design&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                various concepts and guidelines focused on Testing for Developers&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Deletions&#xD;
            &lt;/li>&#xD;
            &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Removed the following Artifacts &#xD;
                        &lt;ul>&#xD;
                            &lt;li>&#xD;
                                Test Model&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Procedure&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Package&#xD;
                            &lt;/li>&#xD;
                            &lt;li>&#xD;
                                Test Subsystem&#xD;
                            &lt;/li>&#xD;
                        &lt;/ul>&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Added new Roadmap: Using Agile Practices with RUP&lt;/b>.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Enhanced Key Concepts&lt;/b>.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Improved navigation buttons for the Disciplines&lt;/b>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Added new white paper &quot;Content Management Defined&quot;&lt;/b>.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Added new sample configuration for Small Project&lt;/b>.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Added new tool mentors&lt;/b>: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Profiling Memory Usage in Managed Code using Rational Purify and Rational Purify&amp;reg; Plus&#xD;
                (Windows)&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Comparing Baselines using Rational ClearCase&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Finding Actors and Use Cases Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Detailing a Use Case Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Structuring the Use-Case Model Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Creating Use-Case Realizations Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Managing Classes Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Managing Collaboration Diagrams Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Managing the Design Model Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Managing Sequence Diagrams Using Rational Rose RealTime&amp;reg;&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2001A.04.00&quot; name=&quot;2001A.04.00&quot;>From the Rational Unified Process 2001.03.00 to 2001A.04.00&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    Release 2001A.04.00 is the successor to release 2001.03.00. It adds or changes content in the following topic areas:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        New tool mentors created for new products:&#xD;
    &lt;/li>&#xD;
    &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Rational Rose RealTime Tool Mentors&#xD;
            &lt;/li>&#xD;
            &lt;li style=&quot;LIST-STYLE-TYPE: none&quot;>&#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Setting Up Version Control using Rational Rose RealTime with Rational ClearCase&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Capturing a Concurrency Architecture using Rational Rose RealTime&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Designing with Active Objects in Rational Rose RealTime&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Rational ProjectConsole Tool Mentors &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Browsing Project Artifacts Using Rational ProjectConsole&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Creating a Static or Portable Copy of your Rational ProjectConsole Web Site Using Rational&#xD;
                        ProjectConsole&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Displaying Artifacts Related to Specific Objects on a Diagram Using Rational ProjectConsole&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Visiting Source Data Using Rational ProjectConsole&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Rational QualityArchitect Tool Mentors &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Implementing an Automated Component Test using Rational QualityArchitect&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New tool mentors for TestManager: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Executing a Test Suite Using Rational TestManager&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Designing an Automated Test Suite Using Rational TestManager&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &quot;Core Workflow&quot; has been changed to &quot;Discipline&quot; throughout.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Tree browser changes: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The &quot;Rational Unified Process&quot; entry under Tool Mentors have been moved to &quot;Process Engineer Toolkit&quot;&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Report Overview, Guidelines Overview, Examples Overview and Stereotypes Overview items have been moved&#xD;
                from Artifact to Overview.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Addition of hyperlinked Tree Path at the top of each page to indicate location in RUP tree browser&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Upgraded graphics on buttons and icons.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Addition of new roadmap for Usability Engineering.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Incorporated new example Organization Web and example Project Web, based on the previous Wylie College artifact&#xD;
        example set.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        C-Sports example artifacts are now installed directly, instead of requiring a separate &quot;unzip&quot; installation.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        The following new white papers have been added: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                RUP/XP Guidelines: Pair Programming&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                RUP/XP Guidelines: Test-first Design and Refactoring&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                A Comparison of RUP and XP&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Rational Unified Process - An Enabler for Higher Process Maturity&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2000.03.00&quot; name=&quot;2000.03.00&quot;>From the Rational Unified Process 2000 to 2001.03.00&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    Release 2001.03.00 is the successor to release 2000. It adds or changes content in the following topic areas:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        A new workflow detail - Perform Architectural Synthesis - has been added to Analysis and Design, for use during the&#xD;
        Inception phase for construction of an Architectural Proof-of-Concept, to help with technology selection, and show&#xD;
        that the envisioned system is feasible.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        The role Architect has been renamed Software Architect, to distinguish that role from other architectural roles,&#xD;
        for example, System Architect.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Guidelines for the use of Microsoft&amp;reg; Windows DNA technology have been added to the Development Component Solutions&#xD;
        roadmaps.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated examples&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Tailoring guidance provided for all artifacts&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated Requirements Management Plan template&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Upgraded Requirements Management activities - term &quot;traceability item&quot; is used to generalize to artifact beyond&#xD;
        just &quot;requirement types&quot;&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Guidance on&amp;nbsp; how to manage requirements has been updated, including new Guidelines: Requirements Management&#xD;
        Plan&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        new Small Project roadmap, Tailoring Concepts, Small Project Development Case example, and Core Workflow Essentials&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Activity: Perform Configuration Audits has been reworked and enhanced&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Staffing sections have been added to those roles without one&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Best Practice: Visual Modeling has been fleshed out with more details&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        The word &quot;worker&quot; has been changed to &quot;role&quot; for clearer understanding of the different roles a team member might&#xD;
        perform.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New tool mentors created for existing products: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Creating Multiple Sites Using Rational ClearCase&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Evaluating Code Coverage Using Rational PureCoverage (UNIX)&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Detecting Run-Time Errors Using Rational Purify (UNIX)&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Finding Performance Bottlenecks Using Rational Quantify (UNIX)&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Archiving Requirements Using Rational RequisitePro&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Tool Mentor: Setting Up Rational Rose for a Project&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New tool mentors created for new products: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Rational Process Workbench Tool Mentors &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Setting Up and Configuring Rational Process Workbench Tool&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Setting Up and Managing Rational Process Workbench Workspace&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Developing Process Models&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Managing Process Content&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Defining a Custom Process&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Publish a Process&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;2000&quot; name=&quot;2000&quot;>From the Rational Unified Process 5.5 to 2000&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    Release 2000 is the successor to release 5.5. It adds or changes content in the following topic areas:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        &lt;b>Business Modeling Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Four new concepts pages have been added to clarify the role of business modeling in the context of&#xD;
                e-business development.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The page Concepts: Activity Based Costing outlines how the technique can be applied within the RUP.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The page Concepts: Business Architecture explains our definition of what it means to architect a business.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The page Concepts: Business Patterns gives some examples of useful patterns to apply in business modeling.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The page Concepts: e-business Development gives our definition of the term.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Three new workflow details have been added to the workflow diagram: &quot;assess business status&quot;, &quot;describe&#xD;
                current business&quot;, and &quot;explore process automation&quot;.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Workflow detail: Assess Business Status describes how you assess the status of the organization in which&#xD;
                the eventual system is to be deployed (the target organization).&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Workflow detail: Describe Current Business talks about how you work to describe the current organization's&#xD;
                processes and structure in order to better understand needs for improvement.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Workflow detail: Explore Process Automation talks about how you determine what can and should be automated&#xD;
                of the business processes, how you understand how any existing systems (legacy) should fit into the&#xD;
                organization, and how you derive system requirements from your business models.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Five new artifacts have been added: &quot;target-organization assessment&quot;, &quot;business vision&quot;, &quot;business&#xD;
                glossary&quot;, &quot;business rules&quot;, and &quot;business architecture document&quot;.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Target-Organization Assessment describes the current status of the organization in which the&#xD;
                system is to be deployed. The description is in terms of current processes, tools, peoples' competencies,&#xD;
                peoples' attitude, customers, competitors, technical trends, problems and improvement areas.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Business Vision is a general vision of the core project's requirements, and provides the&#xD;
                contractual basis for the more detailed technical requirements.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Business Glossary defines important terms used in the business engineering portion of the&#xD;
                project.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Business Rules is a document capturing declarations of policy or conditions that must be&#xD;
                satisfied.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Artifact: Business Architecture Document provides a comprehensive architectural overview of the system,&#xD;
                using a number of different architectural views to depict different aspects of the system.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Requirements Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The page Concepts: User-Centered Design explains how to better meet user needs and improve user acceptance&#xD;
                by focusing on the goals and need of the user when designing the user interface.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Artifact: Stakeholder Requests and Workflow Detail: Understanding Stakeholder Needs were improved to&#xD;
                include more focus on collecting user and stakeholder profiles.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Expanded User Profile section in the Vision Document.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Guidelines: Software Requirement Specification was expanded to include material from IGS Component&#xD;
                Broker Engagement Methodology on Defining Non-Functional Requirements.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Analysis &amp;amp; Design Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                New artifacts: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Reference Architecture&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Deployment Model&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Modified activity: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Architectural Analysis to reflect the development of an architectural overview, selection of a&#xD;
                        reference architecture and the development of a deployment model.&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Software Architecture Document guidelines to describe the identification of architecturally significant&#xD;
                change cases&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                A new concepts page has been added to describe Web Architecture Patterns. This is taken from the book&#xD;
                &quot;Building Web Applications with UML&quot;, with the kind permission of the author Jim Conallen and the publisher&#xD;
                Addison-Wesley.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                &lt;p class=&quot;banner&quot;>&#xD;
                    A new guidelines page for class design called &quot;Building Web Applications with UML&quot; has been added.&#xD;
                &lt;/p>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                &lt;p class=&quot;banner&quot;>&#xD;
                    A small clarification has been added to the page Milestone: Lifecycle Architecture on the role of&#xD;
                    prototyping in elaboration, and to the page Phase: Inception, on the use of prototyping during&#xD;
                    architectural synthesis in inception.&#xD;
                &lt;/p>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Environment Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                There is a new entry in the Getting Started page, called Implementing the Process. This page and the pages&#xD;
                it links to, will describe how you implement the RUP in different situations. For example, how to implement&#xD;
                the RUP in a development organization; how to implement the RUP in a development project.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The following artifacts has been added: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Tool Guidelines&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The following Guidelines containing new information on how to use artifacts have been added: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Guidelines: Classifying Artifacts&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Guidelines: Review Levels&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The following Concepts have been added with valuable information on how to implement process and tools: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Concepts: Environment Practices&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Concepts: Implementing a Process in a Project&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Concept: Mentoring&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Concepts: Pilot Project&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Concepts: Implementing a process in an Organization has been revised.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The role &quot;Toolsmith&quot; has been renamed &quot;Tool Specialist&quot; The new name better reflects its responsibilities,&#xD;
                toolsmithing is just one of several responsibilities.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Activity: Set Up Tools, Activity: Develop Tool Guidelines and Activity: Verify Tool Configuration and&#xD;
                Installation&amp;nbsp; have been added to the Tool Specialist.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Several tool mentors that describe how to set up tools (one tool mentor for each Rational Tool) has been&#xD;
                added. They are all referenced from the new Activity: Set Up Tools.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The four (4) workflow details in the Environment workflow have been updated with the new activities.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Development Case HTML template has been completely revised.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Test Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Artifact sets now reflect an artifact set for Test.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Two new test artifacts: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Test Results - the data captured during the execution of test which is used as input for the&#xD;
                        Evaluation of Test and to calculate the key measures of test.&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Test Evaluation Summary (formerly a report) - created during the Evaluation of Test, this artifact&#xD;
                        organizes and presents the test results and key measures of test for review and assessment, and&#xD;
                        contains recommendations for future test efforts.&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Workflow Details for Execute Test and Evaluate Test have been revised to reflect these two new&#xD;
                artifacts.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The Guidelines for Test Cases contains new information and guidelines for deriving test cases from use&#xD;
                cases.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Modified/Clarified the following test activities: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Execute Test - revised this activity to focus the effort on setting-up and execution of test,&#xD;
                        including recovering from halted or incomplete test execution.&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Evaluate Test - revised to include the analysis of the test results, logging change requests, and&#xD;
                        generating the Test Evaluation Summary.&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Deployment Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                This workflow has been completely re-worked and has a new introduction, workflow activity diagrams and&#xD;
                workflow details&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Activity Diagram &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Deployment Workflow Activity Diagram&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Artifacts: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Bill of Materials&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Product Artwork&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Deployment Unit&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Product&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Roles: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Graphic Artist&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Activities: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Define Bill of Materials&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Manage Acceptance Test&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Release to Manufacturing&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Verify Manufactured Product&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Provide Access to Download Site&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Create Product Artwork&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Configuration and Change Management Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The Configuration Management section was updated to align with Unified Change Management concepts in the&#xD;
                following areas.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Activity &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Project Repository&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Workspace&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Changes to Activities: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Establish CM Policies&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Set Up CM Environment&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Create Integration Workspace&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Create Development Workspace&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Make Changes&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Deliver Changes&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Update Workspace&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Create Baselines&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Promote Baselines&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Create Deployment Unit&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Tool Mentors: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Setting Up the Implementation Model with UCM&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Working on UCM Activities&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Delivering Your Work using Rational ClearCase&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Updating Your Project Work Area using Rational ClearCase&#xD;
                    &lt;/li>&#xD;
                    &lt;li>&#xD;
                        Linking Configuration Management and Change Request Management&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                New Concepts: &#xD;
                &lt;ul>&#xD;
                    &lt;li>&#xD;
                        Unified Change Management&#xD;
                    &lt;/li>&#xD;
                &lt;/ul>&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Project Management Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                The deployment related activities are now owned by the Deployment Manager role. The Project Manager role&#xD;
                has been made responsible for the development of the Quality Assurance Plan artifact.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Implementation Workflow&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                A new artifact, Build, has been added.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The role of System Integrator has been renamed Integrator, and this new role assumes the integration&#xD;
                responsibilities that previously belonged to the Implementer.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                The purpose of the artifact Implementation Subsystem has been clarified, and its relationship to the&#xD;
                artifact Design Subsystem explained.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Under the section on Phases, we have added a description of the Transition phase, and a sample iteration plan for&#xD;
        the Transition phase. For each of the phases, we have provided, courtesy of &lt;a&#xD;
        href=&quot;http://www.ensemble-systems.com/&quot; target=&quot;_blank&quot;>Ensemble Systems Inc&lt;/a>, a more detailed Microsoft&amp;reg;&#xD;
        Project&amp;reg; template which goes to the activity level.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Artifact sets have been reorganized: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                There is now one artifact set for each core workflow&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                An artifact is considered to &quot;belong to&quot; the core workflow in which it is primarily developed&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added new road maps: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Developing e-business Solutions: A road map has been added that explains how to use the RUP for e-business&#xD;
                development.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Re-organization and renaming of&amp;nbsp; Iteration Workflows to Phases.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added Analyst Studio Tool Mentor section.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added new guideline, Guideline: Review Levels.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Improvement in the performance of the &lt;b>tree browser&lt;/b>.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added HTML Templates for artifacts that currently have Microsoft&amp;reg; Word&amp;reg; and Adobe&amp;reg; FrameMaker&amp;reg; templates. Included&#xD;
        pointers into the HTML template from the artifact pages and removed the embedded Annotated Outlines.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        All Word Templates have been compressed into a compressed file.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added Collegiate Sports Paging System example to demonstrate e-business application.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        All examples are now compressed into a compressed file.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Now supports foreign languages and JDK1.1: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Added instruction for translating the Rational Unified Process to other foreign languages.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&#xD;
&lt;h2>&#xD;
    &lt;a id=&quot;5.5&quot; name=&quot;5.5&quot;>From the Rational Unified Process 5.1.1 to 5.5&lt;/a>&#xD;
&lt;/h2>&#xD;
&lt;p>&#xD;
    Release 5.5 is the successor to release 5.1.1. It adds or changes content in the following topic areas:&#xD;
&lt;/p>&#xD;
&lt;ul>&#xD;
    &lt;li>&#xD;
        Improved 'Getting Started' content, including automatic display of getting started topics on product start-up. The&#xD;
        automatic start-up may be disabled at the user's discretion. This feature includes and subsumes the 'Guided Tour'&#xD;
        concept which appeared in version 5.0. The 'old' Guided Tour is now expanded under the 'Process Roles' link on the&#xD;
        'Getting Started' window.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Simplification of the tree browser.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Improved process Overview.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Re-designed core workflows, now using Workflow Detail Overviews to express workflows. The workflows are expressed&#xD;
        as activity diagrams using workflow details to provide an easier to understand picture of how the work on the&#xD;
        project is done.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Expanded 'Workflow Details'; these have now become the focal point for the expression of workflows in the process.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Improved process configuration and implementation content in the '&lt;b>Environment Workflow&lt;/b>'.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Improved cross-referencing, to improve product usability. Especially noteworthy are the links between Artifacts and&#xD;
        Activities (see Artifact: Software Architecture Document for an example).&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Expanded '&lt;b>Project Management Workflow&lt;/b>' content, including metrics and estimation, project planning and&#xD;
        project control.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Removal of Rational SoDA and Rational Rose model templates from the RUP. These templates are now provided with&#xD;
        their respective Rational Software products and are automatically installed when those products are installed. Use&#xD;
        of these template is still described in appropriate RUP Tool Mentors.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Java Programming Guidelines have been added.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added the concept of Roadmaps, which describes how the process can be tailored to a particular style or type of&#xD;
        software development. There are two Roadmaps in this release: one for component-based development, and one&#xD;
        expressing how a focus on quality manifests itself throughout the lifecycle. We expect more to be included in&#xD;
        future releases.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Two new white papers: one covering strategies for traceability, and another describing modeling Web applications&#xD;
        with UML.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Added Change Request Management process information in Configuration and Change Management workflow.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated Vision template to include more and proper emphasis on stakeholders/user and needs/requests.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        New artifacts: &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Software Requirements Specification in the Requirements workflow; templates are included for use both with&#xD;
                and without use-case modeling.&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Requirements Management Plan for setting up project requirement artifacts.&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        Updated document templates to include consistent formats styles, and informational guidance.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        FrameMaker templates now available from the RUP Resource Center.&#xD;
    &lt;/li>&#xD;
    &lt;li>&#xD;
        &lt;b>Expanded links and cross-references:&lt;/b> &#xD;
        &lt;ul>&#xD;
            &lt;li>&#xD;
                Between artifacts and the activities that use, produce or modify them&#xD;
            &lt;/li>&#xD;
            &lt;li>&#xD;
                Between activities and the workflow details that organize them&#xD;
            &lt;/li>&#xD;
        &lt;/ul>&#xD;
    &lt;/li>&#xD;
&lt;/ul>&lt;br />&#xD;
&lt;br /></mainDescription>
</org.eclipse.epf.uma:ContentDescription>
